Subject: bug#9750: 24.0.90; Windows binary distribution build fails with 24.0.90 Pretest

From: Jason Rumney <[email-masked]>
Date: Tue, 18 Oct 2011 22:34:20 +0800

Jason Rumney <[email-masked]> writes:

> Glenn Morris <[email-masked]> writes:
>
>>> README.W32 needs to be included in the
>>> tarball for `mingw32-make dist' to work.
>>
>> But you're saying that you want to start from a source tarfile and make
>> a binary tarfile? I don't know how to reconcile these two.
>
> It used to be necessary to have a checkout of the admin directory to
> build Windows binaries, as the scripts that built the tarballs/zip files
> were also located in the admin directory. Now that the scripts have been
> converted to makefile rules, the README.W32 file is the only required
> file left there, so it might make more sense to move it to the nt
> subdirectory now.

It seems this change was made over a year ago, but a few months later
make-dist was changed to explicitly exclude this file. The question mark
on the end of the comment seems to indicate that the author of the
change wasn't sure at the time if it was the right thing to do.